<div class="row mt-2 mb-3">
    <div class="col-sm">
        <button type="button" class="btn btn-primary ml-2" data-toggle="modal" data-target="#modalForm" onclick="nuevo();">Nuevo</button>
        <button type="button" class="btn btn-primary ml-2" data-toggle="modal" data-target="#modalForm" onclick="editar();">Editar</button>
        <button type="button" class="btn btn-primary ml-2" onclick="eliminar();">Eliminar</button>
    </div>
</div>

<table id="table" class="display" style="width: 100%">
    <thead>
        <tr>
            <th>Folio Planilla</th>
            <th>Fecha Inspeccion</th>
            <th hidden="hidden">Exportador</th>
            <th>Exportador</th>
            <th hidden="hidden">Especie</th>
            <th>Especie</th>
            <th hidden="hidden">Packing</th>
            <th>Packing</th>
            <th hidden="hidden">Norma ID</th>
            <th>Norma</th>
            <th>Turno</th>
            <th>Sincro</th>
            <th>Ingresar</th>
        </tr>
    </thead>
    <tbody>
        <?php
        //echo $cliente;
        date_default_timezone_set('America/Santiago');
        $fecha_actual = date("Y-m-d");
        $rs = mysql_query("SELECT *, pro_planilla_control.sincro as sincro2 FROM pro_planilla_control INNER JOIN cal_exportadoras ON cal_exportadoras.exportador_cod = pro_planilla_control.exportador_cod INNER JOIN cal_packing ON cal_packing.packing_id = pro_planilla_control.packing_cod INNER JOIN cal_especies ON cal_especies.especie_id = pro_planilla_control.especie_cod INNER JOIN pro_norma_plantilla ON pro_norma_plantilla.norma_id = pro_planilla_control.norma_id WHERE pro_planilla_control.usuario_rut = '$rut'");

        while ($row = mysql_fetch_array($rs)) {
        ?>
            <tr>
                <td><?php echo $row['folio_planilla']; ?></td>
                <td><?php echo $row['fecha_inspeccion']; ?></td>
                <td hidden="hidden"><?php echo $row['exportador_cod']; ?></td>
                <td><?php echo $row['exportador_nombre']; ?></td>
                <td hidden="hidden"><?php echo $row['especie_cod']; ?></td>
                <td><?php echo $row['especie_nombre']; ?></td>
                <td hidden="hidden"><?php echo $row['packing_id']; ?></td>
                <td><?php echo $row['packing_nombre']; ?></td>
                <td hidden="hidden"><?php echo $row['norma_id']; ?></td>
                <td><?php echo $row['norma_descripcion']; ?></td>
                <td><?php echo $row['turno']; ?></td>
                <td><?php echo $row['sincro2']; ?></td>
                <td><a href="inspector.php?inspeccion=ingresopla&folio_planilla=<?php echo $row['folio_planilla']; ?>" type="button" class="btn btn-success">Ingresar</a></td>
            </tr>
        <?php
        }
        ?>
    </tbody>
</table>


<!-- Modal  NUEVO-->
<div class="modal fade" id="modalForm" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" width="100%">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Crear</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <!-- Stack the columns on mobile by making one full-width and the other half-width -->
                    <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
                        <div class="row" style="display:flex; justify-content:center; align-items:center; flex-wrap:wrap; gap: 12px; ">
                            <div class="col-sm" style="min-width:200px">
                                <label for="c">Fecha Inspección</label>
                                <input class="form-control" id="fecha_inspeccion" name="fecha_inspeccion" type="date">
                            </div>
                            <div class="col-sm" style="min-width:200px">
                                <label for="c">Exportador</label>
                                <select class="form-control" id="exportador_cod" name="exportador_cod">
                                    <?php

                                    $rs = mysql_query("SELECT * FROM cal_exportadoras WHERE cliente_id='$cliente'");
                                    while ($row = mysql_fetch_array($rs)) {
                                    ?>
                                        <option value="<?php echo $row['exportador_cod']; ?>"><?php echo $row['exportador_nombre']; ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-sm" style="min-width:200px">
                                <label for="c">Especies</label>
                                <select class="form-control" id="especie_cod" name="especie_cod">
                                    <?php
                                    $rs = mysql_query("SELECT * FROM cal_especies WHERE cliente_id='$cliente'");
                                    while ($row = mysql_fetch_array($rs)) {
                                    ?>
                                        <option value="<?php echo $row['especie_id']; ?>"><?php echo $row['especie_nombre']; ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-sm" style="min-width:200px">
                                <label for="c">Packing</label>
                                <select class="form-control editable" id="packing_cod" name="packing_cod">
                                    <?php
                                    $rs = mysql_query("SELECT * FROM cal_packing WHERE cliente_id='$cliente'");
                                    while ($row = mysql_fetch_array($rs)) {
                                    ?>
                                        <option value="<?php echo $row['packing_id']; ?>"><?php echo $row['packing_nombre']; ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-sm" style="min-width:200px">
                                <label for="c">Norma</label>
                                <select class="form-control" id="norma_id" name="norma_id">
                                    <?php
                                    $rs = mysql_query("SELECT * FROM pro_norma_plantilla WHERE cliente_id='$cliente'");
                                    while ($row = mysql_fetch_array($rs)) {
                                    ?>
                                        <option value="<?php echo $row['norma_id']; ?>"><?php echo $row['norma_descripcion']; ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-sm" style="min-width:200px">
                                <label for="c">Turno</label>
                                <select class="form-control" id="turno" name="turno">
                                    <option value="1">Turno 1</option>
                                    <option value="2">Turno 2</option>
                                </select>
                            </div>
                        </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                <button type="button" class="btn btn-primary" onclick="guardar();">Guardar</button>
            </div>
        </div>
    </div>
</div>

<!-- Bootstrap core JavaScript
    ================================================== -->
<script>
    $(document).ready(function() {
        $(".editable").chosen({
            width: "100%"

        });
    });
</script>
<script type="text/javascript">
    var events;
    var table;
    var rowData;
    var arreglo = "";
    $(document).ready(function() {
        //$('#planilla').DataTable();
        //events = $('#events');
        table = $('#table').DataTable({
            select: true,
            "scrollX": true,
            order: [
                [1, 'desc']
            ]
        });

        table
            .on('select', function(e, dt, type, indexes) {
                var rowData = table.rows(indexes).data().toArray();
                //events.prepend( '<div><b>'+type+' selection</b> - '+JSON.stringify( rowData )+'</div>' ); listar fila
                arreglo = rowData;
            })
            .on('deselect', function(e, dt, type, indexes) {
                var rowData = table.rows(indexes).data().toArray();
                //events.prepend( '<div><b>'+type+' <i>de</i>selection</b> - '+JSON.stringify( rowData )+'</div>' ); listar fila
                arreglo = "";
            });
    });

    var url;

    function nuevo() {
        var fecha = <?php echo json_encode($fecha_actual); ?>;
        $('#fecha_inspeccion').val(fecha);

        url = 'Ingreso/Planillas/save.php';
    }

    function editar() {
        if (arreglo != "") {
            $('#folio_planilla').val(arreglo[0][0]);
            $('#fecha_inspeccion').val(arreglo[0][1]);
            $('#exportador_cod').val(arreglo[0][2]);
            $('#especie_cod').val(arreglo[0][4]);
            $('#packing_cod').val(arreglo[0][6]);
            $('#packing_cod').trigger("chosen:updated");
            $('#norma_id').val(arreglo[0][8]);

            $('#turno').val(arreglo[0][10]);

            url = 'Ingreso/Planillas/update.php?folio_planilla=' + arreglo[0][0] + '&sincro=' + arreglo[0][11];
        } else {
            alert("Seleccione un Registro");
            location.reload();
        }
    }

    function guardar() {
        var fecha_inspeccion = $('#fecha_inspeccion').val();
        var exportador_cod = $('#exportador_cod').val();
        var especie_cod = $('#especie_cod').val();
        var packing_cod = $('#packing_cod').val();
        var norma_id = $('#norma_id').val();
        var turno = $('#turno').val();
        $.ajax({
            type: 'POST',
            url: url,
            data: {
                "fecha_inspeccion": fecha_inspeccion,
                "exportador_cod": exportador_cod,
                "especie_cod": especie_cod,
                "packing_cod": packing_cod,
                "norma_id": norma_id,
                "turno": turno
            },
            dataType: 'json',
            cache: false,
            success: function(result) {

                if (result.success) {
                    $('#modalForm').modal('toggle');
                    location.reload();
                } else {
                    alert("Error al registrar, verifique la informacion.");
                }

            },
        });

    }

    function eliminar() {
        if (arreglo != "") {
          

            if (confirm("Desea Borrar la planilla " + arreglo[0][0] + "?")) {
                $.ajax({
                    type: 'POST',
                    url: 'Ingreso/Planillas/eliminar.php',
                    data: {
                        "folio_planilla": arreglo[0][0]
                    },
                    dataType: 'json',
                    cache: false,
                    success: function(result) {

                        if (result.success) {
                            
                            location.reload();
                        } else {
                            alert("Error al registrar, verifique la informacion.");
                        }

                    },
                });
            }
        } else {
            alert("Seleccione un Registro");
            location.reload();
        }


    }
</script>